/*
	Acquisition + encoder

	Grande Machine
	Lotfi BAGHLI			  17/07/1996	rev 31/07/1996
	Passage a 50 A d'acquisition range	rev 20/08/1997
Light pour moins de temps de calcul mais tjrs stator direct rev 17/04/1998

	Pour DS1104
	Lotfi BAGHLI			  rev 03/03/2003
*/

/* inputs via DS1102 on-board ADC channel 1, 2, 3 et 4 */
/* avec offset LEM ! */
/* cartes francis *20 !! */
#define inputI_E( i1, i2, E1, E2) \
{ \
	i1 = 50.0*( -0.0038 + ds1104_adc_read_conv(2) ); \
	i2 = 50.0*( 0.0     + ds1104_adc_read_conv(3) ); \
	E1 = 300.0*ds1104_adc_read_conv(4); \
	E2 = 300.0*ds1104_adc_read_conv(5); \
}

#define inputWm \
{ \
  /* read incremental encoder counter */ \
	inc_k = ds1104_inc_position_read(1, DS1104_INC_LINE_SUBDIV_4); \
	/*inc_k = ds1104_inc_counter_read(1); */\
 \
  /* calculate mechanical angle rd  _ avec inversion _*/ \
  mpos=POStoRD*(float)inc_k; \
 \
  /* calculate mechanical speed rd/s */ \
	FIR_Wm[0]=POStoRD_S*(float)( inc_k - inc_kOld ); \
	inc_kOld = inc_k; \
 \
	WmMesure=0.2*(FIR_Wm[0]+FIR_Wm[1]+FIR_Wm[2]+FIR_Wm[3]+FIR_Wm[4]); \
	FIR_Wm[4]=FIR_Wm[3]; \
	FIR_Wm[3]=FIR_Wm[2]; \
	FIR_Wm[2]=FIR_Wm[1]; \
	FIR_Wm[1]=FIR_Wm[0]; \
}
